# Class FunctionMapperFactory

java.lang.Object
jakarta.el.FunctionMapper
org.apache.el.lang.FunctionMapperFactory

public class FunctionMapperFactory extends FunctionMapper

## Field Summary

Fields
Modifier and Type
Field
Description
`protected FunctionMapperImpl`
`memento`
`protected final FunctionMapper`
`target`

## Constructor Summary

Constructors
Constructor
Description
`FunctionMapperFactory(FunctionMapper mapper)`

## Method Summary

Modifier and Type
Method
Description
`FunctionMapper`
`create()`
`void`
`mapFunction(String prefix, String localName, Method method)`
Map a method to a function name.
`Method`
`resolveFunction(String prefix, String localName)`

### Methods inherited from class Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### memento

protected FunctionMapperImpl memento

### target

protected final FunctionMapper target

## Constructor Details

### FunctionMapperFactory

public FunctionMapperFactory(FunctionMapper mapper)

## Method Details

### resolveFunction

public Method resolveFunction(String prefix, String localName)

Specified by:
  `resolveFunction` in class `FunctionMapper`

### mapFunction

public void mapFunction(String prefix, String localName, Method method)
Description copied from class: `jakarta.el.FunctionMapper`
Map a method to a function name.

Overrides:
  `mapFunction` in class `FunctionMapper`
Parameters:
  `prefix` - Function prefix
  `localName` - Function name
  `method` - Method

### create

public FunctionMapper create()